Bug 74648 - Huge memory leak in ypserv
Huge memory leak in ypserv
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: ypserv (Show other bugs)
7.3
All Linux
high Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Jay Turner
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-28 23:51 EDT by hjl
Modified: 2015-01-07 19:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-02 12:32:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to fix one memory leak (1.57 KB, patch)
2002-09-28 23:52 EDT, hjl
no flags Details | Diff

  None (edit)
Description hjl 2002-09-28 23:51:30 EDT
I finally tracked down how query for a non-existent map brought down
my NIS server. ypserv never frees the memory allocated for non-existent
maps. Here is a patch which seems to help a lot. I don't know if there
are any other memory leaks in ypserv.
Comment 1 hjl 2002-09-28 23:52:41 EDT
Created attachment 77606 [details]
A patch to fix one memory leak
Comment 2 Alexander Larsson 2002-10-02 03:35:56 EDT
I don't think this patch is needed for ypserv-2.5 (which is in 8.0 final).
It verifies that the _db_open call didn't fail before strdup:ing domain and map.

Can you verify if it works for you?
Comment 3 hjl 2002-10-02 12:31:55 EDT
It seems ok. It will be nice to have an update for 7.x.
Comment 4 Mark J. Cox (Product Security) 2002-12-03 07:34:28 EST
Please see
http://rhn.redhat.com/errata/RHSA-2002-223.html

Note You need to log in before you can comment on or make changes to this bug.